import { Component, ViewChild } from '@angular/core';
import { IViewDateChangeEventArgs } from 'igniteui-angular/lib/calendar/calendar-base';
import { IgxCalendarComponent, IgxMonthPickerComponent } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  @ViewChild('calendar', {static: true}) calendar: IgxCalendarComponent;
  @ViewChild('monthPicker', {static: true}) monthPicker: IgxMonthPickerComponent;

  title = 'kb4042-app1';

  public viewDateChanged(event: IViewDateChangeEventArgs) {
    console.log(event.previousValue); // 切り替わる前の月の1日の日付
    console.log(event.currentValue);  // 切り替わった後の月の1日の日付
  }

  public buttonClicked(){
    console.log("viewDate (IgxCalendar)=" + this.calendar.viewDate);
    console.log("viewDate (IgxMonthPicker)=" + this.monthPicker.viewDate);
  }
}
